<?php
require_once('lib/helpers/options-generator-class.php');

if (!function_exists('synth_rift_slider_settings_page')) {

    function synth_rift_slider_settings_page() {

    $prefix = SYNTH_RIFT_SLIDER_OPT;

    $options = array(
        'id' => 'slider_transformation_metabox',
        'title' => 'Slider Transformations',
        'pages' => array('rift_slide'), // post type
        'context' => 'normal',
        'priority' => 'high',
        'show_names' => true, // Show field names on the left
        'page' => 'rift-slider-settings',
        'action' => 'update',
        'fields' => array(
            array(
                'name' => 'Transition Speed',
                'desc' => 'The slider transition speed between each slide.',
                'id' => $prefix . 'transition_speed',
                'std' => '2000',
                'type' => 'text',
                'validations' => array(
                    array(
                        'type' => 'required'
                    ),
                    array(
                        'type' => 'number',
                        'min' => '0',
                        'max' => '10000'
                    )
                )
            ),
            array(
                'name' => 'Slice Opacity',
                'desc' => 'Upgrade to unlock this feature.',
                'type' => 'notification'
            ),
            array(
                'name' => 'Translation Factor',
                'desc' => 'The amount in (%) to translate both slides around the angle.',
                'id' => $prefix . 'translation_factor',
                'std' => '230',
                'type' => 'text',
                'validations' => array(
                    array(
                        'type' => 'required'
                    ),
                    array(
                        'type' => 'number',
                        'min' => '0',
                        'max' => '360'
                    )
                )
            ),
            array(
                'name' => 'Maximum Angle',
                'desc' => 'The maximum translation factor value.',
                'id' => $prefix . 'max_angle',
                'std' => '25',
                'type' => 'text',
                'validations' => array(
                    array(
                        'type' => 'required'
                    ),
                    array(
                        'type' => 'number',
                        'min' => '0',
                        'max' => '25'
                    )
                )
            ),
            array(
                'name' => 'Maximum Scale',
                'desc' => 'The maximum scale factor value.',
                'id' => $prefix . 'max_scale',
                'std' => '2',
                'type' => 'text',
                'validations' => array(
                    array(
                        'type' => 'required'
                    ),
                    array(
                        'type' => 'number',
                        'min' => '0',
                        'max' => '5'
                    )
                )
            ),
            array(
                'name' => 'Autoplay',
                'desc' => 'Upgrade to unlock this feature.',
                'type' => 'notification'
            ),
            array(
                'name' => 'Keyboard Navigation',
                'desc' => 'Upgrade to unlock this feature.',
                'type' => 'notification'
            ),
            array(
                'name' => 'Slider Time Interval',
                'desc' => 'Upgrade to unlock this feature.',
                'type' => 'notification'
            )
        )
    );

    update_option($prefix, $options);

    $rift_slider_settings = new Options_Generator($prefix, 'synth_rift_slider_global_form', $options);

    if ($_SERVER['REQUEST_METHOD'] == "POST") {
        $page = $_POST['page'];
        $action = $_POST['action'];

        if (!empty($_POST['page']) && !empty($_POST['action']) && $_POST['page'] == 'rift-slider-settings' && $_POST['action'] == 'update') {

            $rift_slider_settings->save_options();

            echo '<div class="updated fade">' .
            __('Your settings have been saved.', SYNTH_RIFT_SLIDER_DOMAIN) .
            '</div>';
        }
    }
    ?>
    <div class="wrap">
        <div id="icon-tools" class="icon32"></div>
        <h2>Rift Slider Settings</h2>
        <p>
            The following settings are global settings for the Rift Slider.  These will help set any
            initial default settings for the slider control.
        </p>
        <div style="background-color: #ffffe0; border: 1px solid #e6db55; border-radius: 3px; padding: 8px">
            <h4 style="margin: 0">Want more styling options?</h4>
            <p style="margin: 0"><?php _e('You are currently using the lite version of the Rift Slider.  Upgrade today to unlock extra styling features such as: Coloring text, background colors and transparency settings.') ?>&nbsp;<a href="http://www.syntaxthemes.co.uk/shop/rift-slider-full-version/" target="_blank">Upgrade the Rift Slider.</a></p>        
        </div>
        <h3 class="title">
            Global Rift Slider Settings
        </h3>
        <?php $rift_slider_settings->render($options) ?>
    </div>

        <?php
    }

}
?>
