<?php

/**
 * The Core class.
 */
if (!class_exists('core')) {

    class core {

        /**
         * Minimal required PHP version string.
         * @var type string
         */
        private $minimalRequiredPhpVersion = '5.3';

        /**
         * Set the minimum PHP version which the plugin requires.
         * @param type $minimumPhpVersion
         */
        public function set_php_version($minimumPhpVersion) {
            $this->minimalRequiredPhpVersion = $minimumPhpVersion;
        }

        /**
         * If the PHP version is wrong then display this message.
         */
        public function notice_php_version_wrong() {

            echo '<div class="updated fade">' .
            __('Error: plugin "syntaxstudio" requires a newer version of PHP to be running.', 'syntaxstudio') .
            '<br/>' . __('Minimal version of PHP required: ', 'syntaxstudio') . '<strong>' . $this->minimalRequiredPhpVersion . '</strong>' .
            '<br/>' . __('Your server\'s PHP version: ', 'syntaxstudio') . '<strong>' . phpversion() . '</strong>' .
            '</div>';
        }

        /**
         * Check the PHP version, if the version is wrong then display an
         * error message.
         * @return boolean
         */
        public function php_version_check() {

            if (version_compare(phpversion(), $this->minimalRequiredPhpVersion) < 0) {
                add_action('admin_notices', array(&$this, 'noticePhpVersionWrong'));
                return false;
            }
            return true;
        }

    }

}
?>